aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlammie <Flammie@32389bae-6d03-0410-99cf-db05cde120eb>2009-01-16 12:04:16 +0000
committerFlammie <Flammie@32389bae-6d03-0410-99cf-db05cde120eb>2009-01-16 12:04:16 +0000
commitf294aa4796fdbec60317aeea4f19e903dabac604 (patch)
treee7bae0d5f9208fd195eb9a622903d8116ff96cec /sci-misc/foma/foma-0.9.4_alpha.ebuild
parentAdded ekee (diff)
downloadsci-f294aa4796fdbec60317aeea4f19e903dabac604.tar.gz
sci-f294aa4796fdbec60317aeea4f19e903dabac604.tar.bz2
sci-f294aa4796fdbec60317aeea4f19e903dabac604.zip
Version bump
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1369 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/foma/foma-0.9.4_alpha.ebuild')
-rw-r--r--sci-misc/foma/foma-0.9.4_alpha.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/sci-misc/foma/foma-0.9.4_alpha.ebuild b/sci-misc/foma/foma-0.9.4_alpha.ebuild
new file mode 100644
index 000000000..e3063f90b
--- /dev/null
+++ b/sci-misc/foma/foma-0.9.4_alpha.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+MY_P=${P/_alpha/alpha}
+
+DESCRIPTION="Finite state toolkit compatible with Xerox tools"
+
+HOMEPAGE="http://foma.sf.net/"
+
+SRC_URI="http://dingo.sbs.arizona.edu/~mhulden/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+
+SLOT="0"
+
+KEYWORDS="~amd64"
+
+IUSE=""
+
+DEPEND=">=sys-devel/bison-2.3
+ >=sys-devel/flex-2.5.35
+ sys-libs/readline
+ dev-libs/boehm-gc"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_unpack() {
+ unpack ${A}
+ cd ${S}
+ sed -i -e "s/^CFLAGS =/CFLAGS = ${CFLAGS} /" Makefile
+}
+
+src_install() {
+ dobin foma || die "installing binaries failed"
+ dodoc README README.symbols || die "installing docs failed"
+}